﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:prism="clr-namespace:Prism.Mvvm;assembly=Prism.Forms"
             prism:ViewModelLocator.AutowireViewModel="True"
             x:Class="SpaceXLaunches.Views.UpcomingLaunchesPage"
             Title="Upcoming">
    <ListView
        ItemsSource="{Binding UpcomingLaunches}"
        IsPullToRefreshEnabled="true"
        IsRefreshing="{Binding IsLoading}"
        RefreshCommand="{Binding RefreshCommand}"
        SelectedItem="{Binding SelectedLaunch}"
    >
        <ListView.ItemTemplate>
            <DataTemplate>
                <ViewCell>

                    <StackLayout Orientation="Horizontal" Margin="5" HeightRequest="90">
                        <Image Source="{Binding Links.Patch}" WidthRequest="50" HeightRequest="50" />
                        <Label Text="{Binding MissionName}" VerticalOptions="Center"/>
                        <Label Text="{Binding Date,StringFormat='\{0:MM/dd/yy}'}" TextColor="#1C5AD8" VerticalOptions="Center"/>
                        <StackLayout VerticalOptions="Center">
                            <Label Text="{Binding Rocket.Name}" TextColor="#1C5AD8" VerticalOptions="Center"/>
                        </StackLayout>
                        <StackLayout VerticalOptions="End">
                            <Label Text="{Binding FlightNumber}" TextColor="#1C5AD8" VerticalOptions="Center"/>
                        </StackLayout>
                    </StackLayout>

                </ViewCell>
            </DataTemplate>
        </ListView.ItemTemplate>
    </ListView>
</ContentPage>